### Method

# SpiceClientGLib DisplayChannel display_change_preferred_video_codec_type

deprecated: 0.35 since: 0.34

#### Declaration [src]

    void
    spice_display_change_preferred_video_codec_type (
      SpiceChannel* channel,
      gint codec_type
    )

#### Description [src]

Tells the spice server to change the preferred video codec type for streaming in `channel`. Application can set only one preferred video codec per display channel.

Available since: 0.34

Deprecated since: 0.35

Use `spice_display_channel_change_preferred_video_codec_type()` instead.

#### Parameters

`codec_type`

  Type: `gint`

  A `SpiceVideoCodecType`.